sock_close(3z)

NAME
sock_close - close a network connection

SYNOPSIS
#include <net/socket.h>

void sock_close(SOCKET *s);

DESCRIPTION
The parameter s is a descriptor to an open socket created using sock_open(3z) or sock_listen(3z).

The sock_close() function will initiate a close on the socket specified by s. Once this function has been called no more data can be written to the socket. If the socket is of type prot_TCP then data can continue to be read.

RETURN VALUE
None

SEE ALSO
sock_abort(3z), sock_shutdown(3z)

AUTHOR
Dominic Morris <dom@jb.man.ac.uk>